Bug 122394 - changing named ranges content via vba macro will not update cell formula
Summary: changing named ranges content via vba macro will not update cell formula
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-VBA
  Show dependency treegraph
 
Reported: 2018-12-31 15:36 UTC by Oliver Brinzing
Modified: 2021-01-03 03:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test vlookup changed range vba (12.92 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-12-31 15:36 UTC, Oliver Brinzing
Details
test vlookup changed range (12.92 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-12-31 15:37 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Brinzing 2018-12-31 15:36:49 UTC
Created attachment 147909 [details]
test vlookup changed range vba

i noticed the problem while investigating issue
https://bugs.documentfoundation.org/show_bug.cgi?id=122378

- open attached "test_vlookup_changed_range_vba.ods"
- press button
- named range "Region" content is changed via:
  ThisWorkbook.Names("Region").RefersTo = "=Sheet1!$A$9:$B$11"
- but vlookup formula's in A2:A4 will not update
- a full hard recalc will not work
- the document keeps unmodifed

- to force a recalc, e.g. cell A2
  - select A2
  - press F2
  - press space
  - enter

btw.:
the problem does not happen if named ranges content is changed via lo api,
see "test_vlookup_changed_range.ods"
Comment 1 Oliver Brinzing 2018-12-31 15:37:38 UTC
Created attachment 147910 [details]
test vlookup changed range
Comment 2 Drew Jensen 2018-12-31 18:12:23 UTC
Confirmed using Ubuntu 18.04.1 with LO5.4.7 and 6.0.2.1 RC1.
Comment 3 QA Administrators 2021-01-02 03:45:23 UTC Comment hidden (obsolete)
Comment 4 Oliver Brinzing 2021-01-02 08:39:28 UTC
bug is still present in

Version: 7.0.4.2 (x64)
Build ID: dcf040e67528d9187c66b2379df5ea4407429775
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: de-DE
Calc:
Comment 5 QA Administrators 2021-01-03 03:37:38 UTC
Dear Oliver Brinzing,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug